# Created by pyp2rpm-1.1.2
%global pypi_name simplebayes

Name:           python-simplebayes
Version:        1.5.8
Release:        %mkrel 10
Group:          Development/Python
Summary:        A memory-based, optional-persistence naïve bayesian text classifier
License:        MIT
URL:            https://github.com/hickeroar/simplebayes
Source0:        https://pypi.io/packages/source/s/simplebayes/%{pypi_name}-%{version}.tar.gz
Patch0:         python-simplebayes-1.5.8-mga-setup-encoding.patch
BuildArch:      noarch


%description
This work is heavily inspired by the python "redisbayes" module found here:
[https://github.com/jart/redisbayes] and [https://pypi.python.org/pypi/redisbayes]

I've elected to write this to alleviate the network/time requirements when
using the bayesian classifier to classify large sets of text, or when
attempting to train with very large sets of sample data.

%package -n python3-simplebayes
Group:  Development/Python
Summary: A memory-based, optional-persistence naïve bayesian text classifier
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-simplebayes
This work is heavily inspired by the python "redisbayes" module found here:
[https://github.com/jart/redisbayes] and [https://pypi.python.org/pypi/redisbayes]

I've elected to write this to alleviate the network/time requirements when
using the bayesian classifier to classify large sets of text, or when
attempting to train with very large sets of sample data.


%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files simplebayes

%files -n python3-simplebayes -f %{pyproject_files}
%doc README.rst LICENSE


%changelog
* Thu Dec 14 2023 papoteur <papoteur> 1.5.8-10.mga10
+ Revision: 2018088
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.5.8-9.mga9
+ Revision: 1823333
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.5.8-8.mga9
+ Revision: 1782587
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.5.8-7.mga9
+ Revision: 1732909
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5.8-6.mga8
+ Revision: 1533723
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.5.8-5.mga8
+ Revision: 1445351
- rebuild for python-3.8
- drop python2 subpkg
- rebuild for python-3.8

* Thu Jan 10 2019 shlomif <shlomif> 1.5.8-4.mga7
+ Revision: 1354376
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.5.8-3.mga7
+ Revision: 1290026
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.5.8-2.mga7
+ Revision: 1135634
- Rebuild for python 3.6

* Mon May 09 2016 dglent <dglent> 1.5.8-1.mga6
+ Revision: 1011471
- imported package python-simplebayes

